
stations: 
  - AG1 SP1 Sentul Timur (w24375056)
  - AG10 SP10 Pudu (w24375035)
  - AG11 SP11 Chan Sow Lin (w24375046)
  - AG12 Miharja (w24375041)
  - AG13 Maluri (w24375037)
  - AG14 Pandan Jaya (w24375092)
  - AG15 Pandan Indah (w162935229)
  - AG16 Cempaka (w379708415)
  - AG17 Cahaya (w379708416)
  - AG18 Ampang (w379708417)
  - AG2 SP2 Sentul (w251290716)
  - AG3 SP3 Titiwangsa (w24375043)
  - AG4 SP4 PWTC (w24375063)
  - AG5 SP5 Sultan Ismail (w24375050)
  - AG6 SP6 Bandaraya (w24375111)
  - AG7 SP7 KJ13 Masjid Jamek (n6502502981)
  - AG8 SP8 Plaza Rakyat (w24375051)
  - AG9 SP9 Hang Tuah (w24375042)
  - KG04 PY01 Kwasa Damansara (w460387856)
  - KG05 Kwasa Sentral (w460389010)
  - KG06 Kota Damansara (w460440400)
  - KG07 Surian (w457131687)
  - KG08 Mutiara Damansara (w457857873)
  - KG09 Bandar Utama (w457857875)
  - KG10 Taman Tun Dr Ismail (w457857876)
  - KG12 Phileo Damansara (w457857877)
  - KG13 Pusat Bandar Damansara (w457857880)
  - KG14 Semantan (w457857881)
  - KG15 Muzium Negara (w588168488)
  - KG16 Pasar Seni (w28224155)
  - KG17 Merdeka (w471963795)
  - KG18A Bukit Bintang (w570883634)
  - KG20 PY23 Tun Razak Exchange (w760247737)
  - KG21 Cochrane (w760247735)
  - KG22 Maluri (w570883663)
  - KG23 Taman Pertama (w505249624)
  - KG24 Taman Midah (w505249629)
  - KG25 Taman Mutiara (w505250274)
  - KG26 Taman Connaught (w505251359)
  - KG27 Taman Suntex (w505251360)
  - KG28 Sri Raya (w505251362)
  - KG29 Bandar Tun Hussein Onn (w505251364)
  - KG30 Batu 11 Cheras (w505751823)
  - KG31 Bukit Dukung (w505751824)
  - KG33 Sungai Jernih (w505751844)
  - KG34 Stadium Kajang (w505751845)
  - KG35 Kajang (w505751846)
  - KJ1 Gombak (w140908243)
  - KJ10 KLCC (n5391966854)
  - KJ11 Kampung Baru (r8123975)
  - KJ12 Dang Wangi (w1030590791)
  - KJ14 Pasar Seni (w141466517)
  - KJ15 KL Sentral (n5391767170)
  - KJ16 Bangsar (w24375064)
  - KJ17 Abdullah Hukum (w24375069)
  - KJ18 Kerinchi (w24375049)
  - KJ19 Universiti (w24375068)
  - KJ2 Taman Melati (w140908242)
  - KJ20 Taman Jaya (w139349758)
  - KJ21 Asia Jaya (w42756504)
  - KJ22 Taman Paramount (w141466822)
  - KJ23 Taman Bahagia (w42756585)
  - KJ24 Kelana Jaya (w42756638)
  - KJ25 Lembah Subang (w424884271)
  - KJ26 Ara Damansara (w424883117)
  - KJ27 Glenmarie (w424884270)
  - KJ28 Subang Jaya (w424883116)
  - KJ29 SS15 (w407156837)
  - KJ3 Wangsa Maju (w24375103)
  - KJ30 SS18 (w424882059)
  - KJ31 USJ7 (w424882056)
  - KJ32 Taipan (w407156835)
  - KJ33 Wawasan (w407156833)
  - KJ34 USJ21 (w407156832)
  - KJ35 Alam Megah (w407156831)
  - KJ36 Subang Alam (w424882052)
  - KJ4 Sri Rampai (w24375058)
  - KJ5 Setiawangsa (w141465686)
  - KJ6 Jelatek (w141465684)
  - KJ7 Dato' Keramat (w141466518)
  - KJ8 Damai (w24375061)
  - KJ9 Ampang Park (w1190358768)
  - MR1 KL Sentral (Monorail) (w24375045)
  - MR10 Chow Kit (w24375086)
  - MR11 Titiwangsa (w24375054)
  - MR2 Tun Sambanthan (w24375055)
  - MR3 Maharajalela (w24375060)
  - MR4 Hang Tuah (w1161131432)
  - MR5 Imbi (w24375101)
  - MR6 Bukit Bintang (w24375094)
  - MR7 Raja Chulan (w24375097)
  - MR8 Bukit Nanas (w24375079)
  - MR9 Medan Tuanku (w24375104)
  - PY03 Kampung Selamat (w457131106)
  - PY04 Sungai Buloh (w457131104)
  - PY05 Damansara Damai (w769009418)
  - PY06 Sri Damansara Barat (w769009417)
  - PY07 Sri Damansara Sentral (w769009416)
  - PY08 Sri Damansara Timur (w769009415)
  - PY09 Metro Prima (w769009414)
  - PY10 Kepong Baru (w769009413)
  - PY11 Jinjang (w769009412)
  - PY12 Sri Delima (w769009411)
  - PY13 Kampung Batu (w769009410)
  - PY14 Kentonmen (w769009409)
  - PY15 Jalan Ipoh (w769010743)
  - PY16 Sentul Barat (w769010742)
  - PY17 Titiwangsa (w1155023167)
  - PY18 Hospital Kuala Lumpur (w1155023168)
  - PY19 Raja Uda (w1155023169)
  - PY20 Ampang Park (w1154972661)
  - PY21 Persiaran KLCC (w1154972677)
  - PY22 Conlay (w1155023170)
  - PY24 Chan Sow Lin (w1155023171)
  - PY27 Kuchai (w1029907179)
  - PY28 Taman Naga Emas (w1009988054)
  - PY29 Sungai Besi (w967252386)
  - PY31 Serdang Raya Utara (w1015718346)
  - PY32 Serdang Raya Selatan (w1015718345)
  - PY33 Serdang Jaya (w1017278295)
  - PY34 UPM (w968011786)
  - PY36 Taman Equine (w1069157296)
  - PY37 Putra Permai (w1069157299)
  - PY38 16 Sierra (w793248731)
  - PY39 Cyberjaya Utara (w793248732)
  - PY40 Cyberjaya City Centre (w944292856)
  - PY41 Putrajaya Sentral (w961422433)
  - SP12 Cheras (w24375031)
  - SP13 Salak Selatan (w24375081)
  - SP14 Bandar Tun Razak (w24375044)
  - SP15 Bandar Tasik Selatan (w24375110)
  - SP16 Sungai Besi (w24375113)
  - SP17 Bukit Jalil (w24375074)
  - SP18 Sri Petaling (w24375057)
  - SP19 Awan Besar (w379709713)
  - SP20 Muhibbah (w379709614)
  - SP21 Alam Sutera (w401185518)
  - SP22 Kinrara BK 5 (w379709358)
  - SP24 IOI Puchong Jaya (w407156818)
  - SP25 Pusat Bandar Puchong (w407156819)
  - SP26 Taman Perindustrian Puchong (w407156821)
  - SP27 Bandar Puteri (w407156825)
  - SP28 Puchong Perdana (w424882040)
  - SP29 Puchong Prima (w407156827)
  - SP31 KJ37 Putra Heights (w401169425)

transfers: 
  - 
    - Ampang Park (LRT) (r7989496)
    - Ampang Park (MRT) (r15436129)
  - 
    - Bukit Bintang (KG) (r8000328)
    - Bukit Bintang (Monorail) (r8126789)
  - 
    - Bukit Nanas (r8149131)
    - Dang Wangi (r7989422)
  - 
    - Chan Sow Lin (LRT) (r7989443)
    - Chan Sow Lin (MRT) (r15436133)
  - 
    - Hang Tuah (LRT) (r8140357)
    - Hang Tuah (Monorail) (r8140358)
  - 
    - KL Sentral (LRT) (r7989430)
    - KL Sentral (Monorail) (r8126785)
    - Muzium Negara (r8066127)
  - 
    - Kwasa Damansara (KG) (r7997584)
    - Kwasa Damansara (PY) (r14303205)
  - 
    - Maluri (KG) (r7990576)
    - Maluri (LRT) (r8126791)
  - 
    - Masjid Jamek (AG SP) (r8140356)
    - Masjid Jamek (KJ) (r7989423)
  - 
    - Merdeka (r8066126)
    - Plaza Rakyat (r7989412)
  - 
    - Pasar Seni (KG) (r7989424)
    - Pasar Seni (LRT) (r8126787)
  - 
    - Putra Heights (KJ) (r14303203)
    - Putra Heights (SP) (r8000379)
  - 
    - Sungai Besi (LRT) (r7997540)
    - Sungai Besi (MRT) (r15441625)
  - 
    - Titiwangsa (LRT) (r7989472)
    - Titiwangsa (MRT) (r15436126)
    - Titiwangsa (Monorail) (r8140354)
  - 
    - Tun Razak Exchange (KG) (r8066125)
    - Tun Razak Exchange (PY) (r15607688)

routes: 
  - 
    type: subway
    ref: 12
    name: Laluan Putrajaya
    colour: '#ffcc00'
    station_count: 36
    stations: 
      - Putrajaya Sentral (MRT)
      - Cyberjaya City Centre
      - Cyberjaya Utara
      - 16 Sierra
      - Putra Permai
      - Taman Equine
      - UPM
      - Serdang Jaya
      - Serdang Raya Selatan
      - Serdang Raya Utara
      - Sungai Besi (MRT)
      - Taman Naga Emas
      - Kuchai
      - Chan Sow Lin (MRT)
      - Tun Razak Exchange (PY)
      - Conlay
      - Persiaran KLCC
      - Ampang Park (MRT)
      - Raja Uda
      - Hospital Kuala Lumpur
      - Titiwangsa (MRT)
      - Sentul Barat
      - Jalan Ipoh
      - Kentonmen
      - Kampung Batu (PY)
      - Sri Delima
      - Jinjang
      - Kepong Baru
      - Metro Prima
      - Sri Damansara Timur
      - Sri Damansara Sentral
      - Sri Damansara Barat
      - Damansara Damai
      - Sungai Buloh (PY)
      - Kampung Selamat
      - Kwasa Damansara (PY)

    itineraries: 
      r11313577: 
        - PY41 Putrajaya Sentral (w961422433)
        - PY40 Cyberjaya City Centre (w944292856)
        - PY39 Cyberjaya Utara (w793248732)
        - PY38 16 Sierra (w793248731)
        - PY37 Putra Permai (w1069157299)
        - PY36 Taman Equine (w1069157296)
        - PY34 UPM (w968011786)
        - PY33 Serdang Jaya (w1017278295)
        - PY32 Serdang Raya Selatan (w1015718345)
        - PY31 Serdang Raya Utara (w1015718346)
        - PY29 Sungai Besi (w967252386)
        - PY28 Taman Naga Emas (w1009988054)
        - PY27 Kuchai (w1029907179)
        - PY24 Chan Sow Lin (w1155023171)
        - KG20 PY23 Tun Razak Exchange (w760247737)
        - PY22 Conlay (w1155023170)
        - PY21 Persiaran KLCC (w1154972677)
        - PY20 Ampang Park (w1154972661)
        - PY19 Raja Uda (w1155023169)
        - PY18 Hospital Kuala Lumpur (w1155023168)
        - PY17 Titiwangsa (w1155023167)
        - PY16 Sentul Barat (w769010742)
        - PY15 Jalan Ipoh (w769010743)
        - PY14 Kentonmen (w769009409)
        - PY13 Kampung Batu (w769009410)
        - PY12 Sri Delima (w769009411)
        - PY11 Jinjang (w769009412)
        - PY10 Kepong Baru (w769009413)
        - PY09 Metro Prima (w769009414)
        - PY08 Sri Damansara Timur (w769009415)
        - PY07 Sri Damansara Sentral (w769009416)
        - PY06 Sri Damansara Barat (w769009417)
        - PY05 Damansara Damai (w769009418)
        - PY04 Sungai Buloh (w457131104)
        - PY03 Kampung Selamat (w457131106)
        - KG04 PY01 Kwasa Damansara (w460387856)

      r11313578: 
        - KG04 PY01 Kwasa Damansara (w460387856)
        - PY03 Kampung Selamat (w457131106)
        - PY04 Sungai Buloh (w457131104)
        - PY05 Damansara Damai (w769009418)
        - PY06 Sri Damansara Barat (w769009417)
        - PY07 Sri Damansara Sentral (w769009416)
        - PY08 Sri Damansara Timur (w769009415)
        - PY09 Metro Prima (w769009414)
        - PY10 Kepong Baru (w769009413)
        - PY11 Jinjang (w769009412)
        - PY12 Sri Delima (w769009411)
        - PY13 Kampung Batu (w769009410)
        - PY14 Kentonmen (w769009409)
        - PY15 Jalan Ipoh (w769010743)
        - PY16 Sentul Barat (w769010742)
        - PY17 Titiwangsa (w1155023167)
        - PY18 Hospital Kuala Lumpur (w1155023168)
        - PY19 Raja Uda (w1155023169)
        - PY20 Ampang Park (w1154972661)
        - PY21 Persiaran KLCC (w1154972677)
        - PY22 Conlay (w1155023170)
        - KG20 PY23 Tun Razak Exchange (w760247737)
        - PY24 Chan Sow Lin (w1155023171)
        - PY27 Kuchai (w1029907179)
        - PY28 Taman Naga Emas (w1009988054)
        - PY29 Sungai Besi (w967252386)
        - PY31 Serdang Raya Utara (w1015718346)
        - PY32 Serdang Raya Selatan (w1015718345)
        - PY33 Serdang Jaya (w1017278295)
        - PY34 UPM (w968011786)
        - PY36 Taman Equine (w1069157296)
        - PY37 Putra Permai (w1069157299)
        - PY38 16 Sierra (w793248731)
        - PY39 Cyberjaya Utara (w793248732)
        - PY40 Cyberjaya City Centre (w944292856)
        - PY41 Putrajaya Sentral (w961422433)


  - 
    type: subway
    ref: 9
    name: Laluan Kajang
    colour: '#008000'
    station_count: 29
    stations: 
      - Kwasa Damansara (KG)
      - Kwasa Sentral
      - Kota Damansara
      - Surian
      - Mutiara Damansara
      - Bandar Utama
      - Taman Tun Dr Ismail
      - Phileo Damansara
      - Pusat Bandar Damansara
      - Semantan
      - Muzium Negara
      - Pasar Seni (KG)
      - Merdeka
      - Bukit Bintang (KG)
      - Tun Razak Exchange (KG)
      - Cochrane
      - Maluri (KG)
      - Taman Pertama
      - Taman Midah
      - Taman Mutiara
      - Taman Connaught
      - Taman Suntex
      - Sri Raya
      - Bandar Tun Hussein Onn
      - Batu 11 Cheras
      - Bukit Dukung
      - Sungai Jernih
      - Stadium Kajang
      - Kajang (KG)

    itineraries: 
      r5690837: 
        - KG04 PY01 Kwasa Damansara (w460387856)
        - KG05 Kwasa Sentral (w460389010)
        - KG06 Kota Damansara (w460440400)
        - KG07 Surian (w457131687)
        - KG08 Mutiara Damansara (w457857873)
        - KG09 Bandar Utama (w457857875)
        - KG10 Taman Tun Dr Ismail (w457857876)
        - KG12 Phileo Damansara (w457857877)
        - KG13 Pusat Bandar Damansara (w457857880)
        - KG14 Semantan (w457857881)
        - KG15 Muzium Negara (w588168488)
        - KG16 Pasar Seni (w28224155)
        - KG17 Merdeka (w471963795)
        - KG18A Bukit Bintang (w570883634)
        - KG20 PY23 Tun Razak Exchange (w760247737)
        - KG21 Cochrane (w760247735)
        - KG22 Maluri (w570883663)
        - KG23 Taman Pertama (w505249624)
        - KG24 Taman Midah (w505249629)
        - KG25 Taman Mutiara (w505250274)
        - KG26 Taman Connaught (w505251359)
        - KG27 Taman Suntex (w505251360)
        - KG28 Sri Raya (w505251362)
        - KG29 Bandar Tun Hussein Onn (w505251364)
        - KG30 Batu 11 Cheras (w505751823)
        - KG31 Bukit Dukung (w505751824)
        - KG33 Sungai Jernih (w505751844)
        - KG34 Stadium Kajang (w505751845)
        - KG35 Kajang (w505751846)

      r8000325: 
        - KG35 Kajang (w505751846)
        - KG34 Stadium Kajang (w505751845)
        - KG33 Sungai Jernih (w505751844)
        - KG31 Bukit Dukung (w505751824)
        - KG30 Batu 11 Cheras (w505751823)
        - KG29 Bandar Tun Hussein Onn (w505251364)
        - KG28 Sri Raya (w505251362)
        - KG27 Taman Suntex (w505251360)
        - KG26 Taman Connaught (w505251359)
        - KG25 Taman Mutiara (w505250274)
        - KG24 Taman Midah (w505249629)
        - KG23 Taman Pertama (w505249624)
        - KG22 Maluri (w570883663)
        - KG21 Cochrane (w760247735)
        - KG20 PY23 Tun Razak Exchange (w760247737)
        - KG18A Bukit Bintang (w570883634)
        - KG17 Merdeka (w471963795)
        - KG16 Pasar Seni (w28224155)
        - KG15 Muzium Negara (w588168488)
        - KG14 Semantan (w457857881)
        - KG13 Pusat Bandar Damansara (w457857880)
        - KG12 Phileo Damansara (w457857877)
        - KG10 Taman Tun Dr Ismail (w457857876)
        - KG09 Bandar Utama (w457857875)
        - KG08 Mutiara Damansara (w457857873)
        - KG07 Surian (w457131687)
        - KG06 Kota Damansara (w460440400)
        - KG05 Kwasa Sentral (w460389010)
        - KG04 PY01 Kwasa Damansara (w460387856)


  - 
    type: light_rail
    ref: AG
    name: Ampang Line
    colour: '#fe8e10'
    station_count: 18
    stations: 
      - Sentul Timur
      - Sentul
      - Titiwangsa (LRT)
      - PWTC
      - Sultan Ismail
      - Bandaraya
      - Masjid Jamek (AG SP)
      - Plaza Rakyat
      - Hang Tuah (LRT)
      - Pudu
      - Chan Sow Lin (LRT)
      - Miharja
      - Maluri (LRT)
      - Pandan Jaya
      - Pandan Indah
      - Cempaka
      - Cahaya
      - Ampang

    itineraries: 
      r4466552: 
        - AG1 SP1 Sentul Timur (w24375056)
        - AG2 SP2 Sentul (w251290716)
        - AG3 SP3 Titiwangsa (w24375043)
        - AG4 SP4 PWTC (w24375063)
        - AG5 SP5 Sultan Ismail (w24375050)
        - AG6 SP6 Bandaraya (w24375111)
        - AG7 SP7 KJ13 Masjid Jamek (n6502502981)
        - AG8 SP8 Plaza Rakyat (w24375051)
        - AG9 SP9 Hang Tuah (w24375042)
        - AG10 SP10 Pudu (w24375035)
        - AG11 SP11 Chan Sow Lin (w24375046)
        - AG12 Miharja (w24375041)
        - AG13 Maluri (w24375037)
        - AG14 Pandan Jaya (w24375092)
        - AG15 Pandan Indah (w162935229)
        - AG16 Cempaka (w379708415)
        - AG17 Cahaya (w379708416)
        - AG18 Ampang (w379708417)

      r8000297: 
        - AG18 Ampang (w379708417)
        - AG17 Cahaya (w379708416)
        - AG16 Cempaka (w379708415)
        - AG15 Pandan Indah (w162935229)
        - AG14 Pandan Jaya (w24375092)
        - AG13 Maluri (w24375037)
        - AG12 Miharja (w24375041)
        - AG11 SP11 Chan Sow Lin (w24375046)
        - AG10 SP10 Pudu (w24375035)
        - AG9 SP9 Hang Tuah (w24375042)
        - AG8 SP8 Plaza Rakyat (w24375051)
        - AG7 SP7 KJ13 Masjid Jamek (n6502502981)
        - AG6 SP6 Bandaraya (w24375111)
        - AG5 SP5 Sultan Ismail (w24375050)
        - AG4 SP4 PWTC (w24375063)
        - AG3 SP3 Titiwangsa (w24375043)
        - AG2 SP2 Sentul (w251290716)
        - AG1 SP1 Sentul Timur (w24375056)


  - 
    type: light_rail
    ref: KJ
    name: Kelana Jaya Line
    colour: '#e0115f'
    station_count: 37
    stations: 
      - Gombak
      - Taman Melati
      - Wangsa Maju
      - Sri Rampai
      - Setiawangsa
      - Jelatek
      - Dato' Keramat
      - Damai
      - Ampang Park (LRT)
      - KLCC
      - Kampung Baru
      - Dang Wangi
      - Masjid Jamek (KJ)
      - Pasar Seni (LRT)
      - KL Sentral (LRT)
      - Bangsar
      - Abdullah Hukum (RapidKL)
      - Kerinchi
      - Universiti
      - Taman Jaya
      - Asia Jaya
      - Taman Paramount
      - Taman Bahagia
      - Kelana Jaya
      - Lembah Subang
      - Ara Damansara
      - Glenmarie
      - Subang Jaya (LRT)
      - SS15
      - SS18
      - USJ7
      - Taipan
      - Wawasan
      - USJ21
      - Alam Megah
      - Subang Alam
      - Putra Heights (KJ)

    itineraries: 
      r1895592: 
        - KJ1 Gombak (w140908243)
        - KJ2 Taman Melati (w140908242)
        - KJ3 Wangsa Maju (w24375103)
        - KJ4 Sri Rampai (w24375058)
        - KJ5 Setiawangsa (w141465686)
        - KJ6 Jelatek (w141465684)
        - KJ7 Dato' Keramat (w141466518)
        - KJ8 Damai (w24375061)
        - KJ9 Ampang Park (w1190358768)
        - KJ10 KLCC (n5391966854)
        - KJ11 Kampung Baru (r8123975)
        - KJ12 Dang Wangi (w1030590791)
        - AG7 SP7 KJ13 Masjid Jamek (n6502502981)
        - KJ14 Pasar Seni (w141466517)
        - KJ15 KL Sentral (n5391767170)
        - KJ16 Bangsar (w24375064)
        - KJ17 Abdullah Hukum (w24375069)
        - KJ18 Kerinchi (w24375049)
        - KJ19 Universiti (w24375068)
        - KJ20 Taman Jaya (w139349758)
        - KJ21 Asia Jaya (w42756504)
        - KJ22 Taman Paramount (w141466822)
        - KJ23 Taman Bahagia (w42756585)
        - KJ24 Kelana Jaya (w42756638)
        - KJ25 Lembah Subang (w424884271)
        - KJ26 Ara Damansara (w424883117)
        - KJ27 Glenmarie (w424884270)
        - KJ28 Subang Jaya (w424883116)
        - KJ29 SS15 (w407156837)
        - KJ30 SS18 (w424882059)
        - KJ31 USJ7 (w424882056)
        - KJ32 Taipan (w407156835)
        - KJ33 Wawasan (w407156833)
        - KJ34 USJ21 (w407156832)
        - KJ35 Alam Megah (w407156831)
        - KJ36 Subang Alam (w424882052)
        - SP31 KJ37 Putra Heights (w401169425)

      r8000438: 
        - SP31 KJ37 Putra Heights (w401169425)
        - KJ36 Subang Alam (w424882052)
        - KJ35 Alam Megah (w407156831)
        - KJ34 USJ21 (w407156832)
        - KJ33 Wawasan (w407156833)
        - KJ32 Taipan (w407156835)
        - KJ31 USJ7 (w424882056)
        - KJ30 SS18 (w424882059)
        - KJ29 SS15 (w407156837)
        - KJ28 Subang Jaya (w424883116)
        - KJ27 Glenmarie (w424884270)
        - KJ26 Ara Damansara (w424883117)
        - KJ25 Lembah Subang (w424884271)
        - KJ24 Kelana Jaya (w42756638)
        - KJ23 Taman Bahagia (w42756585)
        - KJ22 Taman Paramount (w141466822)
        - KJ21 Asia Jaya (w42756504)
        - KJ20 Taman Jaya (w139349758)
        - KJ19 Universiti (w24375068)
        - KJ18 Kerinchi (w24375049)
        - KJ17 Abdullah Hukum (w24375069)
        - KJ16 Bangsar (w24375064)
        - KJ15 KL Sentral (n5391767170)
        - KJ14 Pasar Seni (w141466517)
        - AG7 SP7 KJ13 Masjid Jamek (n6502502981)
        - KJ12 Dang Wangi (w1030590791)
        - KJ11 Kampung Baru (r8123975)
        - KJ10 KLCC (n5391966854)
        - KJ9 Ampang Park (w1190358768)
        - KJ8 Damai (w24375061)
        - KJ7 Dato' Keramat (w141466518)
        - KJ6 Jelatek (w141465684)
        - KJ5 Setiawangsa (w141465686)
        - KJ4 Sri Rampai (w24375058)
        - KJ3 Wangsa Maju (w24375103)
        - KJ2 Taman Melati (w140908242)
        - KJ1 Gombak (w140908243)


  - 
    type: monorail
    ref: MR
    name: KL Monorail
    colour: '#7dba00'
    station_count: 11
    stations: 
      - KL Sentral (Monorail)
      - Tun Sambanthan
      - Maharajalela
      - Hang Tuah (Monorail)
      - Imbi
      - Bukit Bintang (Monorail)
      - Raja Chulan
      - Bukit Nanas
      - Medan Tuanku
      - Chow Kit
      - Titiwangsa (Monorail)

    itineraries: 
      r2546881: 
        - MR1 KL Sentral (Monorail) (w24375045)
        - MR2 Tun Sambanthan (w24375055)
        - MR3 Maharajalela (w24375060)
        - MR4 Hang Tuah (w1161131432)
        - MR5 Imbi (w24375101)
        - MR6 Bukit Bintang (w24375094)
        - MR7 Raja Chulan (w24375097)
        - MR8 Bukit Nanas (w24375079)
        - MR9 Medan Tuanku (w24375104)
        - MR10 Chow Kit (w24375086)
        - MR11 Titiwangsa (w24375054)

      r8149037: 
        - MR11 Titiwangsa (w24375054)
        - MR10 Chow Kit (w24375086)
        - MR9 Medan Tuanku (w24375104)
        - MR8 Bukit Nanas (w24375079)
        - MR7 Raja Chulan (w24375097)
        - MR6 Bukit Bintang (w24375094)
        - MR5 Imbi (w24375101)
        - MR4 Hang Tuah (w1161131432)
        - MR3 Maharajalela (w24375060)
        - MR2 Tun Sambanthan (w24375055)
        - MR1 KL Sentral (Monorail) (w24375045)


  - 
    type: light_rail
    ref: SP
    name: Sri Petaling Line
    colour: '#721422'
    station_count: 29
    stations: 
      - Sentul Timur
      - Sentul
      - Titiwangsa (LRT)
      - PWTC
      - Sultan Ismail
      - Bandaraya
      - Masjid Jamek (AG SP)
      - Plaza Rakyat
      - Hang Tuah (LRT)
      - Pudu
      - Chan Sow Lin (LRT)
      - Cheras
      - Salak Selatan
      - Bandar Tun Razak
      - Bandar Tasik Selatan (RapidKL)
      - Sungai Besi (LRT)
      - Bukit Jalil
      - Sri Petaling
      - Awan Besar
      - Muhibbah
      - Alam Sutera
      - Kinrara BK 5
      - IOI Puchong Jaya
      - Pusat Bandar Puchong
      - Taman Perindustrian Puchong
      - Bandar Puteri
      - Puchong Perdana
      - Puchong Prima
      - Putra Heights (SP)

    itineraries: 
      r3374384: 
        - AG1 SP1 Sentul Timur (w24375056)
        - AG2 SP2 Sentul (w251290716)
        - AG3 SP3 Titiwangsa (w24375043)
        - AG4 SP4 PWTC (w24375063)
        - AG5 SP5 Sultan Ismail (w24375050)
        - AG6 SP6 Bandaraya (w24375111)
        - AG7 SP7 KJ13 Masjid Jamek (n6502502981)
        - AG8 SP8 Plaza Rakyat (w24375051)
        - AG9 SP9 Hang Tuah (w24375042)
        - AG10 SP10 Pudu (w24375035)
        - AG11 SP11 Chan Sow Lin (w24375046)
        - SP12 Cheras (w24375031)
        - SP13 Salak Selatan (w24375081)
        - SP14 Bandar Tun Razak (w24375044)
        - SP15 Bandar Tasik Selatan (w24375110)
        - SP16 Sungai Besi (w24375113)
        - SP17 Bukit Jalil (w24375074)
        - SP18 Sri Petaling (w24375057)
        - SP19 Awan Besar (w379709713)
        - SP20 Muhibbah (w379709614)
        - SP21 Alam Sutera (w401185518)
        - SP22 Kinrara BK 5 (w379709358)
        - SP24 IOI Puchong Jaya (w407156818)
        - SP25 Pusat Bandar Puchong (w407156819)
        - SP26 Taman Perindustrian Puchong (w407156821)
        - SP27 Bandar Puteri (w407156825)
        - SP28 Puchong Perdana (w424882040)
        - SP29 Puchong Prima (w407156827)
        - SP31 KJ37 Putra Heights (w401169425)

      r8000387: 
        - SP31 KJ37 Putra Heights (w401169425)
        - SP29 Puchong Prima (w407156827)
        - SP28 Puchong Perdana (w424882040)
        - SP27 Bandar Puteri (w407156825)
        - SP26 Taman Perindustrian Puchong (w407156821)
        - SP25 Pusat Bandar Puchong (w407156819)
        - SP24 IOI Puchong Jaya (w407156818)
        - SP22 Kinrara BK 5 (w379709358)
        - SP21 Alam Sutera (w401185518)
        - SP20 Muhibbah (w379709614)
        - SP19 Awan Besar (w379709713)
        - SP18 Sri Petaling (w24375057)
        - SP17 Bukit Jalil (w24375074)
        - SP16 Sungai Besi (w24375113)
        - SP15 Bandar Tasik Selatan (w24375110)
        - SP14 Bandar Tun Razak (w24375044)
        - SP13 Salak Selatan (w24375081)
        - SP12 Cheras (w24375031)
        - AG11 SP11 Chan Sow Lin (w24375046)
        - AG10 SP10 Pudu (w24375035)
        - AG9 SP9 Hang Tuah (w24375042)
        - AG8 SP8 Plaza Rakyat (w24375051)
        - AG7 SP7 KJ13 Masjid Jamek (n6502502981)
        - AG6 SP6 Bandaraya (w24375111)
        - AG5 SP5 Sultan Ismail (w24375050)
        - AG4 SP4 PWTC (w24375063)
        - AG3 SP3 Titiwangsa (w24375043)
        - AG2 SP2 Sentul (w251290716)
        - AG1 SP1 Sentul Timur (w24375056)



